SCSMDUMP(1)

NAME
scsmdump - SeisComP Documentation

Strong motion parameters database dump.

DESCRIPTION

scsmdump ...

MODULE CONFIGURATION
etc/defaults/global.cfg
etc/defaults/scsmdump.cfg
etc/global.cfg
etc/scsmdump.cfg
~/.seiscomp/global.cfg
~/.seiscomp/scsmdump.cfg

scsmdump inherits global options.

COMMAND-LINE OPTIONS

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbosity

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg
    Use alternative log file.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--db-disable
    Do not use the database at all

  Input

-O, --origin originID
    Origin public ID(s) to dump. Multiple origins may be specified as a comma-separated list. Use "-" for reading from stdin.

-E, --event eventID
    Event public ID(s) to dump. Multiple events may be specified as a comma-separated list. Use "-" for reading from stdin.

  Dump

-r, --with-event-records
    Include event record references. This option is necessary in order to export the records itself.

-S, --with-records
    Include records referred to from event records. This option depends on --with-event-records.

-R, --with-ruptures
    Include ruptures.

-p, --preferred-only
    When dumping events, only the preferred origin will be dumped.

  Output

-f, --formatted
    Use formatted XML output.

-o, --output file
    Name of output file. If not given or '-', output is sent to stdout.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam